# Uses of Interface
org.eclipse.draw2d.KeyListener

Packages that use KeyListener
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of KeyListener in org.eclipse.draw2d

Classes in org.eclipse.draw2d that implement KeyListener
Modifier and Type
Class
Description
`static class`
`KeyListener.Stub`
An empty implementation of KeyListener for convenience.
Methods in org.eclipse.draw2d with parameters of type KeyListener
Modifier and Type
Method
Description
`void`
Figure.`addKeyListener(KeyListener listener)`
`void`
IFigure.`addKeyListener(KeyListener listener)`
Registers the given listener as a KeyListener of this figure.
`void`
Figure.`removeKeyListener(KeyListener listener)`
`void`
IFigure.`removeKeyListener(KeyListener listener)`
Removes the first occurence of the given listener.